<?php

namespace App\Controller\Frontend;


use App\Entity\IndividualData;
use App\Form\IndividualDataForm;
use Doctrine\ORM\EntityManagerInterface;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;

class ContribuateController extends DefaultController
{

    public function contribuate(Request $request, EntityManagerInterface $entityManager): Response
    {
        $individualData = new IndividualData();
        $form = $this->createForm(IndividualDataForm::class, $individualData, ["context" => "frontend"]);

        $form->handleRequest($request);
        if ($form->isSubmitted() && $form->isValid()) {
//            dump($individualData);
//            dump($form);
//            die;
            $individualData->setStatus(0);
            $entityManager->create($individualData);
            $entityManager->flush();
        }
        return $this->render(
            'frontend/contribuate.html.twig',
            [
                'nbContrib' => $this->countContrib(),
                'form' => $form->createView()
            ]
        );
    }
}